Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.14
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.spi
Class RootCategory

    java.lang.Object
      |
      +--org.apache.log4j.Category
            |
            +--org.apache.log4j.Logger
                  |
                  +--org.apache.log4j.spi.RootCategory

All Implemented Interfaces:
  AppenderAttachable

Deprecated. Replaced by `RootLogger`.

public final class RootCategory
extends Logger

Fields inherited from class org.apache.log4j.Category
`additive, level, name, parent, repository, resourceBundle`

Constructor Summary
`RootCategory(Level level)` Deprecated. The root category names itself as "root".

Method Summary
`Level` | `getChainedLevel()` Deprecated. Return the assigned level value without walking the category hierarchy.
`void` | `setLevel(Level level)` Deprecated. Setting a null value to the level of the root category may have catastrophic results.
`void` | `setPriority(Level level)` Deprecated.

Methods inherited from class org.apache.log4j.Logger
`getLogger, getLogger, getLogger, getRootLogger, isTraceEnabled, trace, trace`

Methods inherited from class org.apache.log4j.Category
`addAppender, assertLog, callAppenders, debug, debug, error, error, exists, fatal, fatal, forcedLog, getAdditivity, getAllAppenders, getAppender, getChainedPriority, getCurrentCategories, getDefaultHierarchy, getEffectiveLevel, getHierarchy, getInstance, getInstance, getLevel, getLoggerRepository, getName, getParent, getPriority, getResourceBundle, getResourceBundleString, getRoot, info, info, isAttached, isDebugEnabled, isEnabledFor, isInfoEnabled, l7dlog, l7dlog, log, log, log, removeAllAppenders, removeAppender, removeAppender, setAdditivity, setPriority, setResourceBundle, shutdown, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RootCategory

    public RootCategory(Level level)

  Deprecated.
  The root category names itself as "root". However, the root category cannot be retrieved by name.

Method Detail

### getChainedLevel

    public final Level getChainedLevel()

  Deprecated.
  Return the assigned level value without walking the category hierarchy.

### setLevel

    public final void setLevel(Level level)

  Deprecated.
  Setting a null value to the level of the root category may have catastrophic results. We prevent this here.
  Overrides:
    `setLevel` in class `Category`
  Since:
    0.8.3

### setPriority

    public final void setPriority(Level level)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.14
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2005 Apache Software Foundation.